#pragma once
#include<string>
#include<vector>
#include<map>

typedef struct FieldProperty
{
	std::string mFiledName; //ֶ
	std::string mFieldType; // ֶ
};

#define FiledPropertys std::vector<FieldProperty>



/**
*  ݿģ
*/
class CivTableTemp
{
public:
	// ֶ
	enum FieldType {
		FILED_INT,
		FILED_INTEGER,
		FILED_DOUBLE,
		FILED_VARCHAR,
		FILED_DATETIME,
		FILED_JSON
	};

	explicit CivTableTemp(std::string tableName);
	~CivTableTemp();

	/**
	*@brief ֶ
	*@fileNameֶ
	*@filedTypeֶ
	*/
	void addProperty(std::string fileName, FieldType filedType);

	// ֶ
	void addPropertys(FiledPropertys props);

	// شsql
	std::string createSql();

private:
	std::string mTableName; // 
	FiledPropertys mPropertys; // ֶκֶ
	std::map< FieldType, std::string> mFieldTyepMap;
};
